<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        * {
            font-family: 'Roboto';
            font-weight: 600;
        }
        .collection {
            background-color: red;
            width: 128px;
            display: block;
        }
        .span {
            background-color: green;
            display: inline;
        }
        .block {
            background-color: blue;
            display: block;
        }
        .inline-block {
            background-color: cyan;
            display: inline-block;
            height: 40px;
        }
    </style>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap" rel="stylesheet">
</head>
<body>
    <div class="collection">
        <div class="span">Item A</div><div class="inline-block">Item B</div>
        <div class="block">Item C</div>
        <div class="span">Item D</div><div class="span">Lorem ipsum dolor sit amet</div><div class="span">Lorem+ipsum+dolor+sit+amet</div><span></span>
        <div class="block">Lorem ipsum dolor sit amet</div>
        <div class="block">Lorem+ipsum+dolor+sit+amet</div><span></span>
        <div class="inline-block">Lorem ipsum dolor sit amet</div>
        <div class="inline-block">Lorem+ipsum+dolor+sit+amet</div><span></span>
    </div>
</body>
</html>